#!/bin/sh
#------ pjsub option --------#
#PJM -L rscgrp=tutorial-cache
#PJM -L node=1
#PJM --mpi proc=1
#PJM -L elapse=0:15:00
#PJM -g xg17t001
#PJM -j
#------- Program execution -------#
export OMP_NUM_THREADS=64
export KMP_AFFINITY=scatter,verbose
mpiexec.hydra -n ${PJM_MPI_PROC} 01_MMmul/MMmul_MKL.ex > MMmul_MKL.out
mpiexec.hydra -n ${PJM_MPI_PROC} 01_MMmul/MMmul_O2.ex > MMmul_02.out
mpiexec.hydra -n ${PJM_MPI_PROC} 01_MMmul/MMmul_O3.ex > MMmul_O3.out
mpiexec.hydra -n ${PJM_MPI_PROC} 01_MMmul/MMmul_O3_AVX512.ex > MMmul_O3_AVX512.out

