#!/bin/sh
#------ pjsub option --------#
#PJM -L rscgrp=tutorial-cache
#PJM -L node=1
#PJM --mpi proc=1
#PJM -L elapse=0:15:00
#PJM -g xg17t001
#PJM -j
#------- Program execution -------#
export OMP_NUM_THREADS=64
export KMP_AFFINITY=scatter,verbose
mpiexec.hydra -n ${PJM_MPI_PROC} 02_VVdot/VVdot_O0.ex > VVdot_O0.out
mpiexec.hydra -n ${PJM_MPI_PROC} 02_VVdot/VVdot_O1.ex > VVdot_O1.out
mpiexec.hydra -n ${PJM_MPI_PROC} 02_VVdot/VVdot_O2.ex > VVdot_O2.out
mpiexec.hydra -n ${PJM_MPI_PROC} 02_VVdot/VVdot_O2_AVX512.ex > VVdot_O2_AVX512.out
mpiexec.hydra -n ${PJM_MPI_PROC} 02_VVdot/VVdot_O3_AVX512.ex > VVdot_O3_AVX512.out

