#!/bin/sh
#------ pjsub option --------#
#PJM -L rscgrp=tutorial-cache
#PJM -L node=1
#PJM --mpi proc=1
#PJM -L elapse=0:15:00
#PJM -g xg17t001
#PJM -j
#------- Program execution -------#
export OMP_NUM_THREADS=64
export KMP_AFFINITY=compact,verbose
mpiexec.hydra -n ${PJM_MPI_PROC} 03_Histogram/Histogram_O2.ex > Histogram_O2.out
#mpiexec.hydra -n ${PJM_MPI_PROC} 03_Histogram/Histogram_O2_AVX512.ex > Histogram_O2_AVX512.out
#mpiexec.hydra -n ${PJM_MPI_PROC} 03_Histogram/Histogram_O3_AVX512.ex > Histogram_O3_AVX512.out

